{
  "annotations": {
    "changelogDate": "20251210161122"
  },
  "applications": ["*"],
  "dto": "mapstruct",
  "fields": [
    {
      "fieldName": "giornoSettimana",
      "fieldType": "GiornoSettimana",
      "fieldValues": "LUNEDI,MARTEDI,MERCOLEDI,GIOVEDI,VENERDI,SABATO,DOMENICA"
    },
    {
      "fieldName": "dataSpecifica",
      "fieldType": "LocalDate"
    },
    {
      "fieldName": "oraInizio",
      "fieldType": "Instant"
    },
    {
      "fieldName": "oraFine",
      "fieldType": "Instant"
    },
    {
      "fieldName": "orarioInizio",
      "fieldType": "String"
    },
    {
      "fieldName": "orarioFine",
      "fieldType": "String"
    },
    {
      "fieldName": "tipo",
      "fieldType": "TipoDisponibilita",
      "fieldValues": "DISPONIBILE,CHIUSURA"
    },
    {
      "fieldName": "note",
      "fieldType": "String"
    }
  ],
  "name": "Disponibilita",
  "pagination": "infinite-scroll",
  "relationships": [
    {
      "otherEntityField": "nome",
      "otherEntityName": "struttura",
      "otherEntityRelationshipName": "disponibilita",
      "relationshipName": "struttura",
      "relationshipSide": "left",
      "relationshipType": "many-to-one"
    }
  ],
  "searchEngine": "no",
  "service": "serviceImpl"
}
